---
layout: layouts/exercise_base.njk
exercise: Open Source Contribution Programming Project
---

<h2>Project Description</h2>

<p>In this project, students will work in teams of two to pick and resolve an
  open-source issue from
  <a href="https://goodfirstissue.dev/" target="_new">goodfirstissue.dev</a>.
  The goal of this project is to give students real-world experience working
  with open-source software and contributing to the developer community.</p>

<p>To begin, each team will select an issue from the available list on
  <a href="https://goodfirstissue.dev/" target="_new">goodfirstissue.dev</a>
  and fork the corresponding repository. The team will then work together to
  fix the issue in their fork and create a pull request to the original
  repository.</p><p>Throughout the project, students will learn about the
  open-source development process, including forking and pull request creation.
  They will also gain experience in software development and teamwork.</p>

<p>The project is expected to be completed until 2023-02-02 18:00 CET.
  Send the link to your pull request to
  <a href="mailto:sg@bulme.at">sg@bulme.at</a> before this due date.
</p>
